cURL
curl -X GET 'https://api.telegent.com/v1.0/packages?PackageId=PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/packages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PackageId": "PID-203740d8-6b19-42c6-b22e-e45611d9cade",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "456789",
"Type": "Type 2",
"Price": 34.56,
"Monthly": false,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Packages
Get Package Details
Retrieve detailed information about a specific package by its PackageId. Returns package name, type, price, billing frequency, and associated distributor information.
What this does: Returns the package details including name, description, price, billing frequency, type, and status. Use this to retrieve the PID- needed when creating subscriptions or to audit package configuration.
Next steps:
- Create a subscription using this package —
POST /v1.0/subscriptions - View items in the package —
GET /v1.0/packages/items
GET
/
v1.0
/
packages
cURL
curl -X GET 'https://api.telegent.com/v1.0/packages?PackageId=PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/packages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PackageId": "PID-203740d8-6b19-42c6-b22e-e45611d9cade",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "456789",
"Type": "Type 2",
"Price": 34.56,
"Monthly": false,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
The unique package ID to retrieve details for
Response
Package Details
The response is of type object.
⌘I